Last Comment Bug 593822 - vbox in tab-view-deck needs an ID
: vbox in tab-view-deck needs an ID
Status: RESOLVED FIXED
fixed by bug 610996
:
Product: Firefox
Classification: Client Software
Component: Toolbars and Customization (show other bugs)
: Trunk
: All All
: -- normal with 1 vote (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-06 09:04 PDT by Mike Kaply [:mkaply]
Modified: 2012-02-27 06:36 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Mike Kaply [:mkaply] 2010-09-06 09:04:10 PDT
Looking at Firefox 4, a new control was added to main-window that is the parent of navigator-toolbox.

tab-view-deck is a deck that contains the controls and it has a vbox inside it that then contains all the toolbars.

The vbox inside tab-view-deck should have an ID associated with it so that CSS can be cleanly applied to the navigator-toolbox:

#main-window > #tab-view-deck > #MISSINGID > #navigator-toolbox
Comment 1 Justin Rodes 2011-01-08 12:07:32 PST
The vbox in tab-view-deck needs an ID so add-on developers can insert overlays in the vbox.  For example, the following XUL overlay does not work as desired; it inserts a second vbox after the first one under tab-view-deck:

  <deck id="tab-view-deck">
    <vbox>
      <toolbox id="my-addon-toolbox" insertafter="browser">
        <!-- toolbox contents here -->
      </toolbox>
    </vbox>
  </deck>
Comment 2 Javier "Darth" 2012-02-25 21:35:44 PST
I think this bug should be marked FIXED,  
bc this was done in Firefox 6 already, it is <vbox id="browser-panel"> now. (I'm using it for xul overlay also)

Tks!
Comment 3 Mike Kaply [:mkaply] 2012-02-27 06:36:30 PST
bug 610996 was the one that fixed it.

Note You need to log in before you can comment on or make changes to this bug.